> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Status V2

> **Required plan:** Professional or Enterprise.

Get the status of tasks based on task IDs. Request frequency: 5 requests / second.



## OpenAPI

````yaml /en/api/openapi.json post /cloudextraction/statuses/v2
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /cloudextraction/statuses/v2:
    post:
      tags:
        - Cloud Extraction
      summary: Get Task Status V2
      description: >-
        **Required plan:** Professional or Enterprise.


        Get the status of tasks based on task IDs. Request frequency: 5 requests
        / second.
      operationId: getTaskStatusV2
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskIds
              properties:
                taskIds:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: Detailed task statuses retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        taskId:
                          type: string
                        status:
                          type: string
                        currentTotalExtractCount:
                          type: integer
                        executedTimes:
                          type: integer
                        subTaskCount:
                          type: integer
                        nextExecuteTime:
                          type: string
                          format: date-time
                        startExecuteTime:
                          type: string
                          format: date-time
                        endExecuteTime:
                          type: string
                          format: date-time
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````